Driver webcam mancanti sulla repo di suse

5 risposte [Ultimo messaggio]
Ritratto di DrSkal
DrSkal
(Junior)
Offline
Junior
Iscritto: 16/10/2007
Messaggi: 15

Dunque,

dopo aver visto la guida postata da Auris (http://en.opensuse.org/HCL/Web_Cameras), ho provato a seguire i passaggi per installare i driver della mia webcam integrata. Ho controllato e questa webcam è compatibile sia con spca che con gspcav.

Ho aggiunto la repository come indicato nella guida (per la versione 10.2), e tramite aggiornamento ho impostato il download sia di gspcav che di jasper.

Purtroppo, al momento di scaricare l'rpm, YAST mi dice che il file non si trova nella suddetta repository.

Ho provato a scaricare direttamente l'rpm dalla repository (dunque il file c'è) e a installarlo, ma con nessuna fortuna.

E' impossibile.

Inoltre, seguendo delle indicazioni su un altro 3d, ho provato anche con il comando rpmrebuild, ma ovviamente quando ho provato io la console mi ha informato che il parametro era errato.

Avete facili soluzioni?
Io mi sto abbastanza demotivando, con Suse.
Sad

Abbiate pazienza con me: sono una schiappa Laughing

Ritratto di DrSkal
DrSkal
(Junior)
Offline
Junior
Iscritto: 16/10/2007
Messaggi: 15

Nessuno sa come aiutarmi a risolvere questo problema?

Abbiate pazienza con me: sono una schiappa Laughing

Ritratto di Alfio
Alfio
(Guru)
Offline
Guru
Iscritto: 30/08/2005
Messaggi: 2678

Non capisco se hai opensuse 10.3.
ll tipo di webcam.

Ciao

Ritratto di DrSkal
DrSkal
(Junior)
Offline
Junior
Iscritto: 16/10/2007
Messaggi: 15

No, ho provato a installare la 10.3 ma neanche con l'ausilio di Orion sono riuscito a farla andare.

Ho la 10.2, che funziona e questa è la cosa più importante, al momento.

Quello che dice dando in console il comando lsusb è questo:

Bus 001 Device 004: ID 0ac8:301b Z-Star Microelectronics Corp. ZC0301 WebCam

Ho controllato su un sito linkato, la webcam è compatibile per i driver, tuttavia quando YAST cerca di scaricarli, dice che non sono nella repository e finisce lì.
Ho provato a installarli separatamente, ma si blocca tutto.

Non ho idea di come procedere, anche perché mi sono avvicinato a Linux da pochissimo, e non ci capisco quasi nulla.

Abbiate pazienza con me: sono una schiappa Laughing

Ritratto di auris
auris
(Guru)
Offline
Guru
Iscritto: 10/09/2004
Messaggi: 4923

Se hai installato openSUSE 10.3 devi installare attraverso YAST il pacchetto gspcav1-kmp-default.
Non devi fare altro.
Il pacchetto si trova qui comunque: http://download.opensuse.org/distribution/10.3/repo/oss/suse/i586/gspcav-kmp-default-01.00.12_2.6.22.5_31-5.i586.rpm

Se sei stanco di virus e schermate blu passa a Linux

Ritratto di orion
orion
(Guru)
Offline
Guru
Iscritto: 11/07/2006
Messaggi: 2919

Il fatto e` che DrSkal non sta usando la 10.3, ma la 10.2.
DrSkal, che versione di kernel hai in uso, al momento (lo puoi controllare con il comando uname -r)? Se e` quello originale del dvd, il driver lo trovi in questo repository: http://download.opensuse.org/repositories/drivers:/webcam/openSUSE_10.2/

Alternativamente, potresti scaricarti il pacchetto sorgente di gspcav1 dal repository che ti ho indicato (lo trovi dentro la directory src) oppure dal corrispondente per opensuse 10.3 (dovrebbe andare bene lo stesso, giusto auris?), poi configuri il sistema in modo che possa compilarti il driver (seguendo questa guida) e poi, come root, lanci il comando rpmbuild --rebuild gspcav1-20070508-12.?.src.rpm e poi in /usr/src/packages/RPMS/i586/ troverai il pacchetto kpm-default da installare con il comando rpm -ivh <nomefile>

openSUSE 12.1 on Acer Aspire 1810tz - LXDE ultima versione dal repo x11:/lxde